Facebook Policy Warning

Speederman

Member
I've just received this email from Facebook:
Hi,

In working to create a great Platform experience for everyone, we ask developers to ensure the apps they build comply with our Platform Policies. Your app doesn't comply with the following:

Platform Policy 8.2: Native iOS and Android apps that implement Facebook Login must use our official SDKs for Login.

Please make sure your iOS app is using the most recent version of our SDK for Login. You can find more information on our iOS SDK for Login and other Login-related products here: https://developers.facebook.com/docs/facebook-login/ios.

You can see our visual example for this policy here: https://developers.facebook.com/policy#7-2-photo.


You can access the full list of our Platform Policies here: https://developers.facebook.com/policy/.

Please make the requested changes by 2018-10-31 at 12:00 PST.

Let us know when you've updated your app by replying to this email. If we do not hear back from you, your app will be subject to enforcement. If you have outstanding questions, respond here and we'll do our best to help.

Thanks,
I'm using last version of Yoyo's Facebook extension (1.2.1) and I don't know what else I can do (and they don't give much time to fix it either)...

Please, I need a solution as soon as possible...
 

Speederman

Member
I've finally fixed it. I was using facebook_login() with fb_login_forcing_webview and it seems that Facebook doesn't allow it for iOS apps anymore. I changed it to fb_login_default, uploaded a new version to the App Store and told them to check it. They replied telling me that the issue has been resolved.
 
Top